Subject: Re: bug#19140: dir-locals-collect-variables discrepancy in handling non-file buffers

From: Ivan Shmakov <[email-masked]>
Date: Mon, 19 Jan 2015 09:55:46 +0000

>>>>> Katsumi Yamaoka <[email-masked]> writes:
>>>>> On Mon, 19 Jan 2015 08:55:43 +0000, Ivan Shmakov wrote:

[…]

 >> Could you please check if both indeed resolve the issue at hand?

 > Both work.  Thanks.

	ACK; I’ve just pushed the change to custom-make-dependencies.

commit 2e8d209f258c9bb6a6626d4a101995965b040024

    Fix the value default-directory gets in custom-make-dependencies.

    * lisp/cus-dep.el (custom-make-dependencies): Ensure that
    default-directory is interpreted as a directory (see bug#19140.)

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A